Bug 53804 - bash loses export shell functions when added in the .bash_profile script.
bash loses export shell functions when added in the .bash_profile script.
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-09-19 05:14 EDT by Keith Ansell
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-25 21:54:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Keith Ansell 2001-09-19 05:14:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (WinNT; I)

Description of problem:
function echo() { /bin/echo -e "$*"; }
export -f echo

The above function  when added to a .bash_profile script is not exported and therefore available to the user shell.

vi tpm 
echo "prompt :\c"
read data
the following script display the "\c" and the cursor is displayed on the next line.
sh tmp
prompt :\c

script should look this with the cursor on the same line.
prompt :

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.add the function to .bash_profile
2.login as user
3.sh ./tpm

Actual Results:  prompt :\c

Expected Results:  prompt :

Additional info:
Comment 1 Tim Waugh 2002-10-11 07:03:02 EDT
I can't reproduce this on Red Hat Linux 8.0.

Note You need to log in before you can comment on or make changes to this bug.